Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 02 Sep 2014, 06:30
All times are UTC - 4
 Forum index » House Training » Bugs ( Submit bugs )
Slacko Puppy 5.3.1
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 36 of 37 [551 Posts]   Goto page: Previous 1, 2, 3, ..., 34, 35, 36, 37 Next
Author Message
PenguinPupLin

Joined: 23 Dec 2011
Posts: 126
Location: The Little Red Dot

PostPosted: Sat 11 Feb 2012, 09:42    Post subject:  

Installed the xscreensaver-512 from the Slacko 5.3.1 repository, it said missing dependency gtkdialog. Then downloaded the gtkdialog-4.0.8.0-i486-s from PPM, yet checking dependencies still showed gtkdialog is missing.

Same for lha-114i and zoo-2.10_22 archiving utilities. I'm trying to unzip .gz file which XArchive doesn't seem to recognize, eg firstrun-1.9.6.gz

Any help appreciated.
Back to top
View user's profile Send private message 
don570


Joined: 10 Mar 2010
Posts: 3261
Location: Ontario

PostPosted: Tue 14 Feb 2012, 13:34    Post subject: Audacity(1.3.14)  

The latest version of Audacity(1.3.14) worked nicely for me.
This version only works in slacko.

http://www.murga-linux.com/puppy/viewtopic.php?p=604449#604449

________________________________________
Back to top
View user's profile Send private message 
PenguinPupLin

Joined: 23 Dec 2011
Posts: 126
Location: The Little Red Dot

PostPosted: Fri 24 Feb 2012, 11:58    Post subject:  

Installed Slacko 5.3.1 for my friend's PC with Geforce FX5200 graphics card,then upgraded the nv driver to Nvidia-173 recommended by Slickpet>drivers, and glxgears was running superfast.

After that installed the xscreensavers-5.12 from PPM which also required dependencies glew-1.5.7 and mesa-7.9.2 (which i later upgraded to mesa-7.10.2-s from Slacko repo). However,this seems to break glxgears which returned "Error: couldn't get an RGB, Double-buffered visual" and glxinfo also reported "Error:couldn't find RGB GLX visual or fbconfig".

Need help resolving this issue. TIA.

Added: Also noticed running Pupclockset manager and/or JWM configuration cause the clock_analog widget (in ver 2.4.0) to disappear from the desktop

Latest:-
Solved: Glxgears problem resolved by reinstalling the Nvidia173 pet.

Disappearing clock_analog widget still there. Anybody has any idea why or how to fix it?
Back to top
View user's profile Send private message 
mark

Joined: 26 Feb 2012
Posts: 8

PostPosted: Sun 26 Feb 2012, 16:47    Post subject:  

I just installed Slacko Puppy 5.3.1 onto an Asus Eee PC

All good so far except that after the first shutdown any further attempt at shutdown results in the window manager restarting. I was able to shut down by exiting the window manager to the command shell & using ctrl-alt-delete.

Edit: I saved changes to /dev/sda1 while shutting down.

The problem appears to be in the rc.shutdown script when it kills processes that use /initrd/pup_rw

I'm going to try racy 5.2.2 instead...
Back to top
View user's profile Send private message 
bwh1969

Joined: 25 Oct 2010
Posts: 132
Location: Allentown, PA

PostPosted: Mon 27 Feb 2012, 22:08    Post subject: Need help getting Trinity to run  

I have the trinity sfs loading but when I follow steps to link libraries, I get
#ldconfig
bash: ldconfig:command not found

when I drop out of X, If I run
# startkde

I get a bunch of text referring to libGL.1.so not being found.

Aside from this, I have this running on an oddball handtop and everything works which is an amazing feat.

OQO model 02

The biggest issue is to blacklist via_agp so that wireless and usb work. To the bootloader options add
Code:

via_agp.blacklist=yes


Start with vesa and 640x480 (fix later down)

Important trick is to have a usb mouse handy b/c the trackstick is nuts. Easy to fix with creating a script in startup to load the ps2 device as basic

Code:
#!/bin/bash
sleep 0.5
modprobe -r psmouse
sleep 0.5
modprobe psmouse proto=bare


Once you restart X, you will be good to go.

The sleep times are important: without it, the erratic trackstick stays. If it is longer, the keyboard becomes random.

I tried adding this to /etc/modules.conf like in ubuntu in /etc/modules but it did not resolve the issue. options psmouse proto=bare has no effect

X will still look weird with the screen too small.

Add a modeline under the monitor section and change sync values
Code:

HorizSync   30-92
VertRefresh   50-85
Modeline   "800x480" 40 800 864 928 1088 480 481 484 509 +HSync

Then make every reference of 640x480 into 800x480. Restart X. You should have working trackstick along with the screen looking nice.

EDIT: I changed driver to openchrome and went to thw quickpet and installed mesa. I put
Code:

Load   "dri"

at the "modules section of xorg.conf

then

Code:
Section "DRI"
   Group 0
   Mode   0666
EndSection

Section "Extensions"
       Option       "Composite" "Enable"
EndSection



Will try to start kde again[/code]
Back to top
View user's profile Send private message 
jodother

Joined: 15 Dec 2011
Posts: 8
Location: Germany

PostPosted: Tue 28 Feb 2012, 11:16    Post subject: wifi bug  

Gave slacko 5.3.1 a try on my eee pc 901. Unlike other puppys it won't open a wifi connection (neither "sophisticated" wizard which never failed before nor frisbee). After the first boot frisbee showed the first log, after the second boot the wifi device was there but it didn't launch either (see 2nd log). Hope this issue.

Hope that this issue will be fixed when my beloved Lucid Puppy runs out.
pnetworkdiag-20120222-2.tar.gz
Description  Wifi error log after 2nd boot.
gz

 Download 
Filename  pnetworkdiag-20120222-2.tar.gz 
Filesize  47.3 KB 
Downloaded  340 Time(s) 
pnetworkdiag-20120222-1.tar.gz
Description  Wifi error log after 1st boot.
gz

 Download 
Filename  pnetworkdiag-20120222-1.tar.gz 
Filesize  28.59 KB 
Downloaded  371 Time(s) 
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Tue 28 Feb 2012, 12:09    Post subject:  

Seems to be rt2800pci. It needs rt2860.bin firmware. What does dmesg tells concerning rt2800pci and according firmware loading.

You could first rmmod rt2800pci and then modprobe rt2800pci and then check the content of command dmesg.
Is there problem with firmware loading.
Back to top
View user's profile Send private message 
mark

Joined: 26 Feb 2012
Posts: 8

PostPosted: Thu 01 Mar 2012, 00:35    Post subject:  

jodother,

Wifi works on an Asus EeePC 901 using Racy puppy 5.2.2, but you've got to install the firmware and mess about with wpa_supplicant.

http://murga-linux.com/puppy/viewtopic.php?t=76182&start=45
Back to top
View user's profile Send private message 
jodother

Joined: 15 Dec 2011
Posts: 8
Location: Germany

PostPosted: Sun 04 Mar 2012, 07:19    Post subject: rt2860pci  

Hi pemasu and mark

thanks a lot for your hints!

First of all: I'm no linux expert, just a more or less experienced user. I downloaded the
2010_07_16_RT2860_Linux_STA_v2.4.0.0.tar.bz2
file from
http://www.ralinktech.com/en/04_support/support.php?sn=501.

I expected that in contains a .bin file or something similar but I xarchive failed to unpack it. My default Linux Mint archiver reported an error in the tar child.

So I tried to launch wpa_supplicant manualy from usr/sbin hoping that it can somehow deal with the tar.bz2 file. But that failed too.

If there is a solution please tell me as I was a schoolchild.
Back to top
View user's profile Send private message 
shinobar


Joined: 28 May 2009
Posts: 2618
Location: Japan

PostPosted: Sun 04 Mar 2012, 08:20    Post subject: Re: rt2860pci  

jodother wrote:
2010_07_16_RT2860_Linux_STA_v2.4.0.0.tar.bz2

Maybe it is not bzipped but gipped. Rename the file name *.bz2 to *.gz.

You need to compile the source with the kernel sources.
Also you need to edit the file 'os/linux/config.mk' before make:
Code:
HAS_WPA_SUPPLICANT=y
HAS_NATIVE_WPA_SUPPLICANT_SUPPORT=y


EDIT: There is a tarball the config.mk is already modified to support WPA.
2010_07_16_RT2860_Linux_STA_v2.4.0.0_wpa.tar.gz
http://shino.pos.to/party/bridge.cgi?puppy/opt/
You can compile it with your kernel sources.

_________________
Google Chrome portable
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html
Back to top
View user's profile Send private message Visit poster's website 
expert-system

Joined: 14 Mar 2012
Posts: 3

PostPosted: Sat 17 Mar 2012, 04:25    Post subject: mksquashfs/unsquashfs version  

I tried searching the forum (and this topic in particular), but didn't find anything related.
I am wondering, if there is any reason why Slacko 5.3.1 has version 4.0 instead of 4.2 for mksquashfs/unsquashfs (while i.e. Racy does have 4.2).
I was trying to "unsfs" my puppy_racy_5.2.2.sfs from withing Slacko, but that was (naturally) impossible.
No big deal, just curious why. Are there any other issues with version 4.2 on Slacko 5.3.1 ?
Back to top
View user's profile Send private message 
alphamale

Joined: 28 Nov 2011
Posts: 18

PostPosted: Tue 20 Mar 2012, 06:51    Post subject: no webcam -- broken /dev/video0  

slacko working well on an hp mini 210 netbook except that /dev/video0 is broken.

built in webcam works on 5.2.8 but something is wrong when on slacko.

ideas?
Back to top
View user's profile Send private message 
LeGasp

Joined: 12 Apr 2012
Posts: 1

PostPosted: Fri 13 Apr 2012, 00:06    Post subject:  

This may have been mentioned already, but when I get on AbiWord in Slacko 5.3.1 and go to Format -> Paragraph and make the line spacing double spaced, nothing happens. I've never experienced this before with AbiWord. The other puppies don't have this issue. I'm a student and have to write papers so I never would have noticed this otherwise.
Back to top
View user's profile Send private message 
darkcity


Joined: 23 May 2010
Posts: 2444
Location: near here

PostPosted: Sun 22 Apr 2012, 12:12    Post subject:  

it may be due to the version of AbiWord, also there is a missing library

which can be added by using libaspell15-0.60.6-10.pet
see http://puppylinux.org/wikka/AbiWord

btw, I would recommend LibreOffice if your doing a lot of wordprocessing.

-----------

I have notice a minor bug in the PPM for Slacko - it displays slackware binaries on startup even though Puppy-Slacko is selected as the repository - even searches are within the slackware repositories. This can be fixed by click on slackware-repository selector then back on to the Puppy-Slacko option - but could lead to confusion and selection of wrong packages. Twisted Evil

_________________
helping Wiki for help | IF SendSpace link = "dead" THEN PM me ("up file to http://meownplanet.net/")
Back to top
View user's profile Send private message Visit poster's website 
Pelo


Joined: 10 Sep 2011
Posts: 3048
Location: Mer méditerrannée (1 kms°)

PostPosted: Tue 24 Apr 2012, 13:05    Post subject: slacko
Subject description: I vote Slacko ( french president is still Sarko(zy)
 

Bonjour messieurs. This distro works well, and nowadays, its rare.
Eth0 and wlan 0, both are available
Sessions are save correctly
No desktop icons which disappear
Fast connection
All that is normal. Yes. And that is what the customer wants.
I have a lot of bugs with the lucid distros.

So, after days and days visitings the puppy distos, i make my decision. I stop searching :

I vote Slacko.



Now, i am verifying if others think the same on this Forum

nice and stable
Back to top
View user's profile Send private message Yahoo Messenger 
Display posts from previous:   Sort by:   
Page 36 of 37 [551 Posts]   Goto page: Previous 1, 2, 3, ..., 34, 35, 36, 37 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Bugs ( Submit bugs )
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1175s ][ Queries: 13 (0.0184s) ][ GZIP on ]